/****************************************************************************
 *
 *  SRCHFILE.H
 *
 ****************************************************************************/

#include <windows.h>
#include <commdlg.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <io.h>
#include <fcntl.h>
#include <commctrl.h>
#include <ctype.h>
#include <stdarg.h>
#include "resource.h"
#include "STR_OPS.H"

#ifdef _MSC_VER
//#pragma warning(push)
#pragma warning(disable : 4996)
#endif


typedef    POINTS       MPOINT         ;
#define MAKEMPOINT(l)    (*((MPOINT *)&(l)))

/* Macro to restrict a given value to an upper or lower boundary value */
#define BOUND(x,min,max) ((x) < (min) ? (min) : ((x) > (max) ? (max) : (x)))

/* Macro to swap two values */
#define SWAP(x,y)   ((x)^=(y)^=(x)^=(y))



/***************** GLOBAL DEFINES *************************/

#define TRUE  1
#define FALSE  0
typedef int BOOL;
#define GetRandom( min, max ) ((rand() % (int)(((max) + 1) - (min))) + (min))
#define IS_LEAP_YEAR(yr) (!((yr)%400) || (!((yr)%4) && (((yr)%100))) )
#define BOUND(x,min,max) ((x) < (min) ? (min) : ((x) > (max) ? (max) : (x)))

#define DEBUG 1
#define DEBUG_PUTS DEBUG

extern int logging_on;
#if DEBUG_PUTS
	void dputs(char *s, ...); /* in main.c*/
#else
	#undef dputs
	#pragma warning( disable: 4002 )
	#define dputs(a)  ((void)0)
#endif


/***************** GLOBAL VARIABLES *************************/

int gQuitMssg;
int gInProgress;

HWND hWndProgressBar;

extern int global_error_flag;
extern char *dbugFname;




/***************** FUNCTION DEFS *************************/

char *__strnistr(const char *str, const char *pattern, int len);
int __memnchr(const char *str, int ch, int len );
char *__strnchr( char *str, int ch, int len );

int update_file(char *src_file_with_path, char *search_str, char *replace_str);

BOOL get_set_ftime (char *pathname, FILETIME *fileTime, BOOL set);

BOOL SpinTheMessageLoop(HWND hWnd);


/* Other Globals - options */
