#ifndef __STR_OPS_H
#define __STR_OPS_H

char *stristr(const char *dst, const char *Src);
const char *GetHomeDir(void);
int ExtractFName(char *fName, const char *PathAndFileName);
int HasValidDrive(const char *name);
int GetLowestDirName(char *dest, const char *src);
int strcpy_low_name(char *dest, const char *src);
int strcpy_hi_name(char *dest, const char *src);
//void my_strcat(char *dest, const char *src);
void NortonDirTitle(char *dest, const char *src, int MaxLen);
void NortonDirTitlePad(char *dest, const char *src, int MaxLen, int fsort);
void fmtBorderStr(void *border, char *str, int totalLen);
void dir_strcat(char *dest, const char *upperDir, const char *lowerDir);
void  StripSpace(char *str);
void StripName(char *str);
char *get_ptr_to_fn_in_path(char *path);
int patimatch(const char *pat, const char *str);
void build_string_from_wild(char *targ, const char *str, const char *pat);
void extract_path(char *dest, char *path);
int has_wild(char *str);
void get_DOS_fname(char *pDOS_name, char *pWin_name);

int str_drive_chr(const char *s);
int str_slash_chr(const char *s);
int str_path_chr(const char *s);

#define IS_PATH_TOKEN(x)  (((x)=='\\') || ((x)==':') || ((x)=='/'))
#define IS_SLASH_TOKEN(x)  (((x)=='\\') || ((x)=='/'))
#define LAST_CHAR(s) (((char *)(s))[strlen((char *)(s)) - 1]) //also MYDEFS.H

#ifdef _MSC_VER
//#pragma warning(push)
#pragma warning(disable : 4996)
#endif


#endif  // __STR_OPS_H

